Subject: bug#32991: 27.0.50; diff-auto-refine-mode a no-op

From: Juri Linkov <[email-masked]>
Date: Wed, 30 Jan 2019 23:04:22 +0200

>>  ;; Define smerge-next and smerge-prev
>>  (easy-mmode-define-navigation smerge smerge-begin-re "conflict" nil nil
>> -  (if diff-auto-refine-mode
>> +  (if (eq diff-refine 'navigation)
>>        (condition-case nil (smerge-refine) (error nil))))
>
> Hmm... I want to set my `diff-refined` to `font-lock` yet I also want my
> smerge conflicts to be refined when I navigate to them.
> Maybe the test here should be just whether diff-refine is non-nil?

A similar option `font-lock` also makes sense for a new
customizable variable with a name like `smerge-refine`
that could automatically refine all smerge conflicts.

The problem is that it's difficult to remember and type such key sequences
`C-c ^ n` (smerge-next) and `C-c ^ R` (smerge-refine)  It would be easier
if smerge-mode refined all them automatically.